# _MachineWords
<span class="source-link">[[Source]](src/serialise/_test.md#L20)</span>
```pony
class ref _MachineWords
```

## Constructors

### create
<span class="source-link">[[Source]](src/serialise/_test.md#L20)</span>


```pony
new iso create()
: _MachineWords iso^
```

#### Returns

* [_MachineWords](serialise-_MachineWords) iso^

---

## Public fields

### var bool1: [Bool](builtin-Bool) val
<span class="source-link">[[Source]](src/serialise/_test.md#L21)</span>



---

### var bool2: [Bool](builtin-Bool) val
<span class="source-link">[[Source]](src/serialise/_test.md#L22)</span>



---

### var i8: [I8](builtin-I8) val
<span class="source-link">[[Source]](src/serialise/_test.md#L23)</span>



---

### var i16: [I16](builtin-I16) val
<span class="source-link">[[Source]](src/serialise/_test.md#L24)</span>



---

### var i32: [I32](builtin-I32) val
<span class="source-link">[[Source]](src/serialise/_test.md#L25)</span>



---

### var i64: [I64](builtin-I64) val
<span class="source-link">[[Source]](src/serialise/_test.md#L26)</span>



---

### var i128: [I128](builtin-I128) val
<span class="source-link">[[Source]](src/serialise/_test.md#L27)</span>



---

### var ilong: [ILong](builtin-ILong) val
<span class="source-link">[[Source]](src/serialise/_test.md#L28)</span>



---

### var isize: [ISize](builtin-ISize) val
<span class="source-link">[[Source]](src/serialise/_test.md#L29)</span>



---

### var f32: [F32](builtin-F32) val
<span class="source-link">[[Source]](src/serialise/_test.md#L30)</span>



---

### var f64: [F64](builtin-F64) val
<span class="source-link">[[Source]](src/serialise/_test.md#L31)</span>



---

## Public Functions

### eq
<span class="source-link">[[Source]](src/serialise/_test.md#L33)</span>


```pony
fun box eq(
  that: _MachineWords box)
: Bool val
```
#### Parameters

*   that: [_MachineWords](serialise-_MachineWords) box

#### Returns

* [Bool](builtin-Bool) val

---

